Index: tests/GuiChecks/Graph/CreateAdjacency/testsuite-graph-create-adjacency.at
===================================================================
--- tests/GuiChecks/Graph/CreateAdjacency/testsuite-graph-create-adjacency.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Graph/CreateAdjacency/testsuite-graph-create-adjacency.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,80 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#    Copyright (C) 2013 Frederik Heber
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### create adjacency
+
+AT_SETUP([Graph - create adjacency])
+AT_KEYWORDS([graph create-adjacency])
+
+file=ethane.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/CreateAdjacency/pre/ethane.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o pdb --select-all-atoms --create-adjacency --no-dry-run --store-session session-graph-create-adjacency.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-create-adjacency.py >session-graph-create-adjacency_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-create-adjacency_new.py], 0, [stdout], [stderr])
+
+file=ethane-half.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/CreateAdjacency/pre/ethane.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o pdb --select-atom-by-element 6 --create-adjacency --no-dry-run --store-session session-graph-create-adjacency.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-create-adjacency.py >session-graph-create-adjacency_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-create-adjacency_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
+
+AT_SETUP([Graph - create adjacency with Undo])
+AT_KEYWORDS([graph create-adjacency undo])
+
+file=ethane.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/CreateAdjacency/pre/ethane.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o pdb --select-all-atoms --create-adjacency --undo --no-dry-run --store-session session-graph-create-adjacency.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-create-adjacency.py >session-graph-create-adjacency_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-create-adjacency_new.py], 0, [stdout], [stderr])
+AT_CHECK([fgrep "CONECT" ethane.pdb], 1, [ignore], [ignore])
+
+file=ethane-half.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/CreateAdjacency/pre/ethane.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o pdb --select-atom-by-element 6 --create-adjacency --undo --no-dry-run --store-session session-graph-create-adjacency.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-create-adjacency.py >session-graph-create-adjacency_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-create-adjacency_new.py], 0, [stdout], [stderr])
+AT_CHECK([fgrep "CONECT" ethane.pdb], 1, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Graph - create adjacency with Redo])
+AT_KEYWORDS([graph create-adjacency redo])
+
+file=ethane.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/CreateAdjacency/pre/ethane.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o pdb --select-all-atoms --create-adjacency --undo --redo --no-dry-run --store-session session-graph-create-adjacency.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-create-adjacency.py >session-graph-create-adjacency_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-create-adjacency_new.py], 0, [stdout], [stderr])
+
+file=ethane-half.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/CreateAdjacency/pre/ethane.xyz $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder --dry-run -i $file -o pdb --select-atom-by-element 6 --create-adjacency --undo --redo --no-dry-run --store-session session-graph-create-adjacency.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-graph-create-adjacency.py >session-graph-create-adjacency_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-graph-create-adjacency_new.py], 0, [stdout], [stderr])
+
+AT_CLEANUP
